<?php

header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=CXC.xls");
header("Pragma: no-cache");
header("Expires: 0");

$fechai=$_REQUEST["fechai"];  
$fechaf=$_REQUEST["fechaf"];  

if($fechai<>"" && $fechaf<>""){$sqlfecha=" and fecsis between '".$fechai."' and '".$fechaf."'";}else{$sqlfecha="";}

include "../conexion.php";
 echo "<table width='100%' border='1' bordercolor='#000000' cellpadding='0' cellspacing='0'  >";
							echo "<tr ><td colspan='16'><CENTER>DETALLE DE VENTA CLIENTE MODALIDAD CREDITO</CENTER></td></tr>";
							echo "<tr >";
							echo "<td align='center'>#</td>";
							echo "<td align='center'>Documento/Nit</td>";
							echo "<td align='center'>Direccion</td>";
							echo "<td align='center'>Telefono</td>";
							echo "<td align='center'>Codigo Cliente</td>";
							echo "<td align='center'>Cliente</td>";
							echo "<td align='center'>Factura</td>";
							echo "<td align='center'>Valor Credito</td>";							
							echo "<td align='center'>Total Abonos</td>";	
							echo "<td align='center'>Saldo</td>";		
							echo "<td align='center'>Fecha Credito</td>";							
							echo "<td align='center'>Hora Credito</td>";			
							echo "<td align='center'>Cupo Credito</td>";			
							echo "<td align='center'>Dias Credito</td>";			
							echo "<td align='center'>Vence Factura</td>";
							echo "<td align='center'>Estado</td>";							
							echo "</tr>";
					  
							 $sql_datos=mysqli_query($conexion,"SELECT factura,cliente,valor,fecsis,horasis
															    from credito
																where id>0
																$sqlfecha
															    order by cliente,factura asc");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;		$sumacr=0;	 $sumas=0;$sumapagos=0;$sumac=0;
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$factura=$datos[0];
									$cliente=$datos[1];
									$valor=$datos[2];
									$fecsis=$datos[3];
									$horasis=$datos[4];
									
									$efectivopagado=0;$saldo=0;
									 $sql_consulta=mysqli_query($conexion,"select count(*) as contar from venta_credito 
									 									  where cliente='".$cliente."' and factura='".$factura."'"); 
									 while($datosrs= mysqli_fetch_row($sql_consulta)){ $contar=$datosrs[0];}
									 if($contar>=1)
									  {
									    $sql_consulta=mysqli_query($conexion,"select sum(valor) as efectivopag from venta_credito 
																			  where cliente='".$cliente."' and factura='".$factura."'"); 
										while($datosrs= mysqli_fetch_row($sql_consulta)){ $efectivopagado=$datosrs[0];}
									  }
									$saldo=$valor-$efectivopagado;	
											
									
									$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento,cupo,dias from cliente where id='".$cliente."'");
									while($datosrs= mysqli_fetch_row($sql_contar))
									 { $nombrec=$datosrs[0];  $direccionc=$datosrs[1];  $telefonoc=$datosrs[2];  $documentoc=$datosrs[3];
									   $cupo=$datosrs[4]; $dias=$datosrs[5];
									 }
									 
									 
									 //verificamos fecha vencimiento factura
										//Restando 2 dias
									$mod_date = strtotime($fecsis."+ $dias days");
									$nuevafecha=date("Y-m-d",$mod_date);
									 $mensaje="";$color='#ffffff';
									 if($dias>0)
											{ 
											  $fecha_actual = strtotime(date("Y-m-d"));
											  $fecha_final = strtotime($nuevafecha);
											  if($fecha_actual>$fecha_final)
												   {$mensaje="Vencida"; $color='#AD0000';}
											}
									  else
									   {
										  $fecha_actual = strtotime(date("Y-m-d"));
										  $fecha_final = strtotime($fecsis);
										  if($fecha_actual>=$fecha_final)
										    {$mensaje="Vencida"; $color='#AD0000';} 
									   }
											
											  
									//if($saldo>0) 
									//{
									 echo "<tr>
											  <td >$c</td>
											  <td >$documentoc</td>
											  <td >$direccionc</td>
											  <td >$telefonoc</td>
											  <td >$cliente</td>
											  <td >$nombrec</td>
											  <td >$factura</td>
											  <td align='right'>".number_format($valor)."</td>	
											  <td align='right'>".number_format($efectivopagado)."</td>	
											  <td align='right'>".number_format($saldo)."</td>	
											  <td align='right'>$fecsis</div></td>	
											  <td ><div align='right'>$horasis</div></td>	
											  <td align='right'>".number_format($cupo)."</td>	
											  <td ><div align='right'>$dias</div></td>	
											  <td ><div align='right'>$nuevafecha</div></td>	
											  <td bgcolor='$color'>$mensaje</td>
											</tr>";
											$c=$c+1;
											$sumac=$sumac+$valor;
											$sumas=$sumas+$saldo;	
											$sumapagos=$sumapagos+$efectivopagado;	
									//}
								  }	//04
								 
								echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>TOTAL CREDITO</div></td>
									  <td bgcolor='#00CC66'valign='right'><strong>".number_format($sumac)."</strong></td>
									  <td bgcolor='#00CC66' align='right'><strong>".number_format($sumapagos)."</strong></td>
									  <td bgcolor='#00CC66' align='right'><strong>".number_format($sumas)."</strong></td>
									  <td colspan=2></td>
									</tr>";		
								echo "</table>";

?>